@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_summaryView-variables.scss";

.yw-summaryview {
    height: $summaryView__widget--height;
    color: $summaryView__widget--color;
    background-color: $summaryView__widget--bg-color;
    padding: $summaryView__widget--padding;
    line-height: $summaryView__widget--line-height;
    word-break: normal;
    word-wrap: break-word;
    word-break: break-word;
    
    &.z-vlayout > .z-vlayout-inner {
        height: auto !important;
    }

    &-content-noitem {
        text-align: $summaryView__content-noitem--text-align;
        font-weight: $summaryView__content-noitem--font-weight;
        margin-top: $summaryView__content-noitem--margin-top;
    }
    .yw-summary-content-noitem {
        padding: $summaryView__content-noitem--padding;
        font-weight: $summaryView__content-noitem--font-weight;
    }
    &-title-container {
        margin: $summaryView__title-container--margin;
        padding-top: $summaryView__title-container--padding-top;
        .z-label {
            max-height: $summaryView__title-container--max-height;
            font-weight: $summaryView__title-container--font-weight;
            @include _ellipsis-clamp;
        }
    }
    &-image-container {
        text-align: $summaryView__widget-thumbnail--text-align;
        width: 100%;
        height: $summaryView__widget-thumbnail--max-size + nth($summaryView__widget-thumbnail--padding,1)*2;
        padding: $summaryView__widget-thumbnail--padding;
        position: relative;
        
        .yw-summaryview-img-thumbnail {
            width: auto;
            height: auto;
            max-height: $summaryView__widget-thumbnail--max-size;
            max-width: $summaryView__widget-thumbnail--max-size;
            min-height: $summaryView__widget-thumbnail--min-size;
            min-width: $summaryView__widget-thumbnail--min-size;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
        }
        &:before {
            background-color: $summaryView__widget-thumbnail--bg-color;
            top: nth($summaryView__widget-thumbnail--padding, 1);
            height: $summaryView__widget-thumbnail--max-size;
            width: $summaryView__widget-thumbnail--max-size;
            margin-left: $summaryView__widget-thumbnail-before--margin-left;
            left: 50%;
            position: absolute;
            z-index: 0;
            content: "";
        }
    }
    &-main-content {
        overflow: $summaryView__main-content--overflow;
        .yw-static-section-slot & {
            height: auto !important;
        }

        > .z-div:last-child {
            margin-bottom: $summaryView__main-content--padding-bottom;
        }
    }
    &-section-container {
        padding: $summaryView__widget-container--padding;
        border: $summaryView__widget-container--border;
        
        &-content {
            position: relative;
            z-index: 0;

            > .z-vlayout-inner {
                padding-bottom: $summaryView__contetent-container--padding-bottom;
            }
        }

        & > .z-groupbox-header {
            height: $summaryView__groupbox-header--height;
            padding: $summaryView__groupbox-header-collapsible--padding;
            border-bottom: $summaryView__groupbox-header--border;
            position: relative;
            
            .yw-editorarea & > .yw-summaryview-section-container-caption,
            > .yw-summaryview-section-container-caption  {
                > .z-caption-content:after {
                    display: none;
                }
            }
        }
        &-caption {
            padding-right: $summaryView__section-groupbox-header-caption--padding;
            min-height: $summaryView__section-groupbox-header-content--line-height;
            
            .z-caption-content {
                position: relative;
                overflow: visible;
                line-height: $summaryView__section-groupbox-header-content--line-height;
                padding-bottom: $summaryView__section-groupbox-header-caption-content--padding-bottom;
            }
        }
        .z-groupbox-content {
            padding: $summaryView__groupbox-content--padding;
        }
        &-content > .z-vlayout-inner > .z-label,
        > .z-groupbox-content > .z-label {
            padding: $summaryView__widget-custom-attribute-label--padding;
        }
        //temporary (should be removed when inline-editor is finalized)
        .ye-instant-editor-editor-container.ye-instant-editor-component-visible .yw-loceditor-caption {
            height: auto;
            overflow: hidden;
            
            .y-icon-loceditor {
                margin-top: $summaryView__widget-inline-edit-attribute-editor-localized-icon--margin-top;
            }
        }
    }

    .z-groupbox .z-groupbox-header {
        .yw-summaryview-dataquality-container-caption > .z-caption-content,
        .yw-summaryview-dataquality-container-caption > .z-caption-content:hover,
        .yw-summaryview-section-container-caption {
            &:after {
                content: $summaryView__groupbox-header-collapse-icon--content;
                width: $summaryView__groupbox-header-collapse-icon--width;
                height: $summaryView__groupbox-header-collapse-icon--height;
                font-size: $summaryView__groupbox-header-collapse-icon--font-size;
                line-height: $summaryView__groupbox-header-collapse-icon--height;
                font-family: $summaryView__groupbox-header-collapse-icon--font;
                color: $summaryView__groupbox-header-collapse-icon--color;
                text-align: center;
                position: absolute;
            }
        }

        .yw-summaryview-dataquality-container-caption > .z-caption-content,
        .yw-summaryview-dataquality-container-caption > .z-caption-content:hover {
            &:after {
                top: $summaryView__groupbox-header-collapse-icon--top;
                right: $summaryView__groupbox-header-collapse-icon--right;
                border: $summaryView__groupbox-header-collapse-icon--border;
                left: auto;
                display: block;
            }
        }
    }

    .z-groupbox-collapsed > .z-groupbox-header {
        .yw-summaryview-dataquality-container-caption > .z-caption-content,
        .yw-summaryview-dataquality-container-caption > .z-caption-content:hover,
        .yw-summaryview-section-container-caption {
            &:after {
                content: $summaryView__groupbox-header-collapsed-collapse-icon--content;
                width: $summaryView__groupbox-header-collapse-icon--width;
                height: $summaryView__groupbox-header-collapse-icon--height;
                font-size: $summaryView__groupbox-header-collapse-icon--font-size;
                line-height: $summaryView__groupbox-header-collapse-icon--height;
                font-family: $summaryView__groupbox-header-collapse-icon--font;
                color: $summaryView__groupbox-header-collapse-icon--color;
                text-align: center;
                position: absolute;
            }
        }
    }
                
    &-section-container-caption {
        .z-groupbox > .z-groupbox-header & {
            background: $summaryView__groupbox-header-caption--bg-color;
            position: $summaryView__groupbox-header-caption--position;
            padding: $summaryView__section-groupbox-header-caption--padding;
            font-size: $summaryView__section-groupbox-header-caption--font-size;
            display: block;
        }
        .z-caption-content .z-caption-content {
            color: $summaryView__groupbox-header-caption-content--color;
            @include _ellipsis-clamp;
        }
        &:after {
            top: $summaryView__section-groupbox-header-collapsible-icon--top;
            right: $summaryView__section-groupbox-header-collapsible-icon--right;
            margin-top: $summaryView__section-groupbox-header-content--line-height - $summaryView__groupbox-header-collapse-icon--height;
        }
    }

    &-icon-item-container {
        color: $summaryView__widget-attribute-container--color;
        padding: $summaryView__widget-attribute-container--padding;
        position: relative;
        background-color: transparent;
        
        &.yw-summaryview-container-editable .yw-summaryview-icon-item-text-container,
        .ye-instant-editor-label-editable,
        .ye-instant-editor-editor-container {
            text-decoration: none;
            
            &:before,
            &:after {
                content: "";
                position: absolute;
                display: none;
            }
            &:before {
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                background-color: $summaryView__widget-attribute-editable-hover--color;
            }
        }
        &:hover .ye-instant-editor-label-editable {
            text-decoration: underline;
            
            &:after {
                z-index: 1;
                display: inline-block;
            }
        }
        &:hover .ye-instant-editor-label-editable,
        &.yw-summaryview-container-editable:hover .yw-summaryview-icon-item-text-container,
        .ye-instant-editor-editor-container.ye-instant-editor-component-visible  {
            &:before {
                display: inline-block;
                z-index: -1;
            }
        }
        .yw-summaryview-icon-item-text-container .ye-instant-editor-label-editable {
            margin: 0;
            line-height: inherit;

        }
    }
    &-icon-item-label,
    .ye-instant-editor-attribute-label {
        color: $summaryView__widget-attribute-label--color;
        font-weight: $summaryView__widget-attribute-item-label--font-weight;
        @include _ellipsis;
    }
    &-icon-item-value {
        .ye-text-button {
            font-size: $summaryView__widget-attribute-label-value-text-button--font-size;
        }
    }
    &-icon-item-label + &-icon-item-value {
        padding-top: $summaryView__widget-attribute-label-value--padding-top;
        
        > .z-label,
        > .ye-text-button {
            display: block;
            
            &:first-child {
                padding-top: 0;
            }
        }
    }

    &-sync-status {
        &-icon,
        &-text {
            display: inline-block;
        }
        &-error {
            color: $summaryView__sync-state-error--color;
        }
    }
}
